Page MenuHomePhabricator

Suggestions widget doesn't provide visual focus feedback for keyboard/AT users
Closed, ResolvedPublicBUG REPORT

Description

Steps to Reproduce: use tab to navigate to/between suggestions.

Actual Results: there is no visual focus feedback (e.g. an outline).

Expected Results: visual focus feedback should display during keyboard/AT nav but, ideally, not onclick.

Event Timeline

AnneT created this task.Apr 10 2020, 4:33 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 10 2020, 4:33 PM
CBogen added a subscriber: CBogen.Apr 15 2020, 4:25 PM

This change will be much easier to make using Vue, so we are putting this ticket on hold pending the results of T248405.

Change 589084 had a related patch set uploaded (by Anne Tomasevich; owner: Anne Tomasevich):
[mediawiki/extensions/MachineVision@master] Show focus feedback on suggestions

https://gerrit.wikimedia.org/r/589084

AnneT added a comment.Apr 15 2020, 6:21 PM

FYI @CBogen I found a relatively painless way to accomplish this so I went ahead and opened a patch so we can get this on prod sooner. We'll handle it in the Vue port as well.

Change 589084 merged by jenkins-bot:
[mediawiki/extensions/MachineVision@master] Show focus feedback on suggestions

https://gerrit.wikimedia.org/r/589084

Ramsey-WMF reassigned this task from AnneT to Etonkovidova.Apr 30 2020, 3:45 PM
Ramsey-WMF added a subscriber: Ramsey-WMF.

This should be ready to test on production

Etonkovidova closed this task as Resolved.Apr 30 2020, 6:16 PM

Checked in production - wmf.30 - seems to work as expected. I'm adding it to my list of tasks to do more testing, i.e. accessibility testing, but in terms of this task scope, it's Resolved.